(defpackage :cl-uxn
  (:use :common-lisp)
  (:export #:uxn
           #:uxn-p
           #:make-uxn
           #:copy-uxn
           #:uxn-memory
           #:uxn-work-stack
           #:uxn-return-stack
           #:uxn-program-counter

           #:uxn-stack
           #:uxn-stack-p
           #:make-uxn-stack
           #:copy-uxn-stack
           #:uxn-stack-buffer
           #:uxn-stack-index

           #:make-uxn-with-image
           #:run
           #:run-step

           #:uxn-condition
           #:uxn-breakpoint
           #:uxn-watchpoint
           #:address
           #:old-value
           #:new-value

           #:*breakpoints*
           #:*watchpoints*
           #:*device-input*
           #:*device-output*))
